<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Cash Revenues List</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_finance::sidebar_finance" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Cash Revenues detail list
                </div>
            </div>
        </div>
        <br>
        <div class="row">
            <div class="col-md-12">
                <table class="table small">
                    <thead class="table-dark" style="--bs-table-bg:#15408d;">
                        <tr>
                            <th th:text="${'Detail Cash Revenue : '+penerimaan.mataAnggaran.namaMataAnggaran}"></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td th:text="${'Description Estimated : '+penerimaan.keterangan}"></td>
                        </tr>
                        <tr>
                            <td th:text="${'Total Estimated : Rp. ' + #numbers.formatDecimal(penerimaan.total, 0, 'POINT', 2, 'COMMA')}"></td>
                        </tr>
                        <tr>
                            <td th:text="${'Total Cash : Rp. ' + #numbers.formatDecimal(penerimaan.realisasi, 0, 'POINT', 2, 'COMMA')}"></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <a th:href="@{/transaksi/penerimaanreal/add(estimasi= ${penerimaan.id})}" class="btn btn-primary" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;">
                    + Realization
                </a>
                <a class="btn btn-default" style="--bs-btn-bg: #e8ecf1; --bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" th:href="@{/transaksi/penerimaanreal}" >
                    Back
                </a>
            </div>
        </div>
        <br>
        <div class="row">
            <div class="col-md-12">
                <table class="table small">
                    <thead class="table-dark" style="--bs-table-bg:#15408d;">
                    <tr>
                        <th>#</th>
                        <th colspan="2">Description</th>
                        <th>Date</th>
                    </tr>
                    </thead>
                    <tbody th:each="dataPenerimaanReal,row : ${listPenerimaanReal}">
                    <tr>
                        <td th:text="${row.index + 1}"></td>
                        <td colspan="2" th:text="${dataPenerimaanReal.penerimaan.mataAnggaran.kodeMataAnggaran+' - '+dataPenerimaanReal.penerimaan.mataAnggaran.namaMataAnggaran}"></td>
                        <td th:text="${#dates.format(new java.util.Date(dataPenerimaanReal.tanggal),'dd-MMM-yyyy')}"></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td width="15%" align="center">
                            <a class="btn btn-primary" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" th:href="@{/penerimaan/{penerimaanReal}/bukti/(penerimaanReal = ${dataPenerimaanReal.id})}" alt="Attachment Image">Attachement</a>
                        </td>
                        <td th:text="${dataPenerimaanReal.keterangan}"></td>
                        <td th:text="${'Rp. ' + #numbers.formatDecimal(dataPenerimaanReal.total, 0, 'POINT', 2, 'COMMA')}"></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td align="right" colspan="3">
                            <div class="btn-group">
                                <a class="btn btn-primary btn-md" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" th:href="@{/transaksi/penerimaanreal/editreal(id = ${dataPenerimaanReal.id}, estimasi = ${dataPenerimaanReal.penerimaan.id})}">
                                    Edit
                                </a>
                            </div>
                            <div class="btn-group">
                                <form method="post" th:action="@{/transaksi/penerimaanreal/delete(penerimaanReal= ${dataPenerimaanReal.id})}">
                                    <button type="submit" class="btn btn-danger btn-md" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;"
                                            onclick="return confirm('Are you sure want to delete this?')">
                                        Delete
                                    </button>
                                </form>
                            </div>
                        </td>
                    </tr>
                    </tbody>
                </table>

                <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                    <li class="disabled"><a href="#" aria-label="Previous"><span
                            aria-hidden="true">&laquo;</span></a>
                    </li>
                    <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                    </li>
                </ul>
            </div>
        </div>
    </main>

</main>

</body>
</html>



<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Cash Revenue</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Cash Revenue-->
<!--        <small>List Data</small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Transaction</li>-->
<!--        <li class="active"> Cash Revenues</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->




<!--    <div class="row">-->

<!--        <div class="col-md-12">-->
<!--            <div class="box box-primary  box-solid">-->
<!--                <div class="box-header with-border">-->
<!--                    <div class="col-md-12">-->
<!--                        <span class="info-box-text" th:text="${'Detail Cash Revenue : '+penerimaan.mataAnggaran.namaMataAnggaran}">Expandable</span>-->
<!--                    </div>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-header &ndash;&gt;-->
<!--                <div class="box-body">-->
<!--                    <div class="col-md-12">-->
<!--                        <span class="info-box-text" th:text="${'Description Estimated : '+penerimaan.keterangan}"></span>-->
<!--                        <span class="info-box-text" th:text="${'Total Estimated : Rp. ' + #numbers.formatDecimal(penerimaan.total, 0, 'POINT', 2, 'COMMA')}">41,410</span>-->
<!--                        <span class="info-box-text" th:text="${'Total Cash : Rp. ' + #numbers.formatDecimal(penerimaan.realisasi, 0, 'POINT', 2, 'COMMA')}">41,410</span>-->

<!--                    </div>-->
<!--                </div>-->
<!--                <div class="box-footer">-->
<!--                    <div class="col-md-6">-->
<!--                        <div class="btn-group">-->
<!--                            <a th:href="@{/transaksi/penerimaanreal/add(estimasi= ${penerimaan.id})}" class="btn btn-primary btn-md">-->
<!--                                + Realization-->
<!--                            </a>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                    <div class="col-md-6" align="right">-->
<!--                        <div class="btn-group">-->
<!--                            <a class="btn btn-default btn-md" th:href="@{/transaksi/penerimaanreal}">-->
<!--                                Back-->
<!--                            </a>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--            </div>-->
<!--            &lt;!&ndash; /.box &ndash;&gt;-->
<!--        </div>-->

<!--        <div class="col-md-12">-->
<!--            <div class="nav-tabs-custom">-->
<!--                <ul class="nav nav-tabs">-->
<!--                    <li class="active"><a href="#waiting" data-toggle="tab">List Of Cash Revenue</a></li>-->
<!--                </ul>-->
<!--                <div class="tab-content">-->
<!--                    <div class="active tab-pane" id="closed">-->
<!--                        <div class="box-body no-padding">-->
<!--                            <div class="row" th:each="dataPenerimaanReal,row : ${listPenerimaanReal}">-->
<!--\-->
<!--                                <div class="col-md-12">-->
<!--                                    <div class="box box-success box-solid">-->
<!--                                        <div class="box-header with-border">-->
<!--                                            <div class="col-md-6">-->
<!--                                                <span class="info-box-text" th:text="${dataPenerimaanReal.penerimaan.mataAnggaran.kodeMataAnggaran+' - '+dataPenerimaanReal.penerimaan.mataAnggaran.namaMataAnggaran}">Removable</span>-->
<!--                                            </div>-->
<!--                                            <div class="col-md-6" align="right">-->
<!--                                                <span class="info-box-text" th:text="${#dates.format(new java.util.Date(dataPenerimaanReal.tanggal),'dd-MMM-yyyy')}"></span>-->
<!--                                            </div>-->
<!--                                        </div>-->
<!--                                        &lt;!&ndash; /.box-header &ndash;&gt;-->
<!--                                        <div class="box-body">-->
<!--                                            <div class="col-md-2">-->
<!--                                                <img class="img-thumbnail" th:src="@{/penerimaan/{penerimaanReal}/bukti/(penerimaanReal = ${dataPenerimaanReal.id})}" alt="Attachment Image">-->
<!--                                            </div>-->

<!--                                            <div class="col-md-10">-->
<!--                                                <div class="box box-warning">-->
<!--                                                    <div class="box-body">-->
<!--                                                        <span class="info-box-text" th:text="${dataPenerimaanReal.keterangan}">Bookmarks</span>-->
<!--                                                        <span class="info-box-number" th:text="${'Rp. ' + #numbers.formatDecimal(dataPenerimaanReal.total, 0, 'POINT', 2, 'COMMA')}">41,410</span>-->
<!--                                                    </div>-->
<!--                                                    &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                                                </div>-->
<!--                                                &lt;!&ndash; /.box &ndash;&gt;-->
<!--                                            </div>-->

<!--                                            <div class="col-md-12">-->

<!--                                                <div class="box-tools pull-right">-->

<!--                                                    <div class="btn-group">-->
<!--                                                        <a class="btn btn-primary btn-md" th:href="@{/transaksi/penerimaanreal/editreal(id = ${dataPenerimaanReal.id}, estimasi = ${dataPenerimaanReal.penerimaan.id})}">-->
<!--                                                            Edit-->
<!--                                                        </a>-->
<!--                                                    </div>-->
<!--                                                    <div class="btn-group">-->
<!--                                                        <form method="post" th:action="@{/transaksi/penerimaanreal/delete(penerimaanReal= ${dataPenerimaanReal.id})}">-->
<!--                                                            <button type="submit" class="btn btn-danger btn-md"-->
<!--                                                                    onclick="return confirm('Are you sure want to delete this?')">-->
<!--                                                                Delete-->
<!--                                                            </button>-->
<!--                                                        </form>-->
<!--                                                    </div>-->
<!--                                                </div>-->

<!--                                            </div>-->

<!--                                        </div>-->
<!--                                        &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                                    </div>-->
<!--                                </div>-->

<!--                            </div>-->
<!--                        </div>-->
<!--                        <div class="box-footer clearfix">-->
<!--                            <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
<!--                                <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                        aria-hidden="true">&laquo;</span></a>-->
<!--                                </li>-->
<!--                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                                </li>-->
<!--                            </ul>-->
<!--                        </div>-->

<!--                    </div>-->
<!--                    &lt;!&ndash; /.tab-pane &ndash;&gt;-->
<!--                </div>-->
<!--                &lt;!&ndash; /.tab-content &ndash;&gt;-->
<!--            </div>-->
<!--            &lt;!&ndash; /.nav-tabs-custom &ndash;&gt;-->

<!--        </div>-->

<!--    </div>-->

<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#datepicker').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->


<!--    <script th:inline="javascript" type="text/javascript">-->

<!--        function openReservationModal(id) {-->


<!--            $.ajax({-->
<!--                url: "/reservations/details/"+id,-->
<!--                success: function(data) {-->
<!--                    console.log(data);-->
<!--                    $("#modalHolder").html(data);-->
<!--                    $("#reservationModal").modal("show");-->
<!--                }-->
<!--            });-->

<!--        }-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->